Gentoo Archives: gentoo-alt

From: Fabian Groffen <grobian@g.o>
To: gentoo-alt@l.g.o
Subject: [gentoo-alt] [PREFIX] planned removal of Python 2.4 and 2.5
Date: Sat, 12 Feb 2011 10:39:54
Message-Id: 20110212103819.GC4530@gentoo.org
I am planning to remove python-2.4.6 and python-2.5.4-r4 from the Prefix
tree in one week from now (February 19th), unless some raises valid
arguments against doing so.

Given that Python is a real pain to maintain for Prefix, and that the
Gentoo maintainers are not really of any help in moving Python to gx86,
I would like to start focussing on the version of Python that we want
ultimately in gx86.  Therefore, I would like to remove python:2.4,
python:2.5 and python:2.6.  This effectively means I would like to make
python:2.7 candidate for pushing to gx86.  In preparation for this, I
want to remove python:2.4 and python:2.5 from our tree.  On my main
development system, I have python:2.6 and python:2.7 installed
(USE_PYTHON="2.6 2.7"), but python:2.7 is my main interpreter and I
haven't seen any problems yet.

If you are using python:2.4 and python:2.5, it is a good time to stop
doing so now, or raise any argument as to why this is necessary so
badly.

Last but not least:
If you are unable to install python:2.7 right now, then it is a very
good moment to start trying to do so, report bugs, etc., since I plan to
remove python:2.6 not too long from now as well.


-- 
Fabian Groffen
Gentoo on a different level

Replies

Subject Author
Re: [gentoo-alt] [PREFIX] planned removal of Python 2.4 and 2.5 Fabian Groffen <grobian@g.o>